v1.0.0
OpenAPI 3.1.0

Get a WhatsApp template

US region

Client Libraries

Get a WhatsApp template

​

Returns a single WhatsApp template, including its content, category, language, recipient, sender, and Meta approval status.

Path Parameters
  • id
    Type: string Format: uuid
    required

    The UUID of the WhatsApp template.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/v1/design_studio/whatsapp/{id}
curl https://api.customer.io/v1/design_studio/whatsapp/123e4567-e89b-12d3-a456-426614174000
{
  "whatsapp": {
    "category": "UTILITY",
    "content": "<x-whatsapp><x-wa-body>Hi {{customer.first_name}}, your order has shipped.</x-wa-body></x-whatsapp>",
    "created": 1790000000,
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "is_linked": true,
    "is_template": true,
    "language": "en_US",
    "name": "Order shipped",
    "parent_folder_id": null,
    "recipient": "{{customer.phone}}",
    "sender_id": 4,
    "status": "APPROVED",
    "updated": 1790000000
  }
}